Subject: Re: WARNING in dev_change_net_namespace

From: syzbot <[email-masked]>
Date: Sat, 06 Jun 2020 07:03:03 -0700

syzbot has bisected this bug to:

commit 13dc4d836179444f0ca90188cfccd23f9cd9ff05
Author: Will Deacon <[email-masked]>
Date:   Tue Apr 21 14:29:18 2020 +0000

    arm64: cpufeature: Remove redundant call to id_aa64pfr0_32bit_el0()

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=109aa3b1100000
start commit:   7ae77150 Merge tag 'powerpc-5.8-1' of git://git.kernel.org..
git tree:       upstream
final crash:    https://syzkaller.appspot.com/x/report.txt?x=129aa3b1100000
console output: https://syzkaller.appspot.com/x/log.txt?x=149aa3b1100000
kernel config:  https://syzkaller.appspot.com/x/.config?x=be4578b3f1083656
dashboard link: https://syzkaller.appspot.com/bug?extid=830c6dbfc71edc4f0b8f
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=12032832100000

Reported-by: [email-masked]
Fixes: 13dc4d836179 ("arm64: cpufeature: Remove redundant call to id_aa64pfr0_32bit_el0()")

For information about bisection process see: https://goo.gl/tpsmEJ#bisection